ALTER TABLE phpads_acls CHANGE logical logical set('and','or') NOT NULL default '';
ALTER TABLE phpads_acls CHANGE type type varchar(16) NOT NULL default '';

ALTER TABLE phpads_adclicks ADD userid varchar(32) NOT NULL default '';
ALTER TABLE phpads_adclicks CHANGE t_stamp t_stamp timestamp(14) NOT NULL;
ALTER TABLE phpads_adclicks CHANGE host host varchar(255) NOT NULL default '';
ALTER TABLE phpads_adclicks CHANGE source source varchar(50) NOT NULL default '';
ALTER TABLE phpads_adclicks CHANGE country country char(2) NOT NULL default '';
ALTER TABLE phpads_adclicks DROP INDEX bannerid_date;
ALTER TABLE phpads_adclicks ADD INDEX bannerid (bannerid);

CREATE TABLE phpads_adconversions (
  conversionid bigint(20) unsigned NOT NULL auto_increment,
  local_conversionid bigint(20) unsigned NOT NULL default '0',
  dbserver_ip varchar(16) NOT NULL default '',
  userid varchar(32) NOT NULL default '',
  trackerid mediumint(9) NOT NULL default '0',
  t_stamp timestamp(14) NOT NULL,
  host varchar(255) NOT NULL default '',
  country char(2) NOT NULL default '',
  conversionlogid mediumint(9) NOT NULL default '0',
  PRIMARY KEY  (conversionid),
  KEY userid (userid),
  KEY date (t_stamp),
  KEY trackerid (trackerid),
  KEY local_conversionid (local_conversionid)
);

ALTER TABLE phpads_adstats ADD conversions int(11) NOT NULL default '0';
ALTER TABLE phpads_adstats CHANGE bannerid bannerid mediumint(9) NOT NULL default '0';
ALTER TABLE phpads_adstats CHANGE zoneid zoneid mediumint(9) NOT NULL default '0';
ALTER TABLE phpads_adstats DROP PRIMARY KEY;
ALTER TABLE phpads_adstats DROP KEY bannerid_day;
ALTER TABLE phpads_adstats ADD KEY day (day);
ALTER TABLE phpads_adstats ADD KEY bannerid (bannerid);

ALTER TABLE phpads_adviews ADD userid varchar(32) NOT NULL default '';
ALTER TABLE phpads_adviews CHANGE t_stamp t_stamp timestamp(14) NOT NULL;
ALTER TABLE phpads_adviews CHANGE host host varchar(255) NOT NULL default '';
ALTER TABLE phpads_adviews CHANGE source source varchar(50) NOT NULL default '';
ALTER TABLE phpads_adviews CHANGE country country char(2) NOT NULL default '';
ALTER TABLE phpads_adviews DROP INDEX bannerid_date;
ALTER TABLE phpads_adviews ADD INDEX bannerid (bannerid);

ALTER TABLE phpads_affiliates ADD agencyid mediumint(9) NOT NULL default '0';
ALTER TABLE phpads_affiliates CHANGE name name varchar(255) NOT NULL default '';
ALTER TABLE phpads_affiliates CHANGE contact contact varchar(255) default NULL;
ALTER TABLE phpads_affiliates CHANGE email email varchar(64) NOT NULL default '';
ALTER TABLE phpads_affiliates CHANGE website website varchar(255) default NULL;
ALTER TABLE phpads_affiliates CHANGE username username varchar(64) default NULL;
ALTER TABLE phpads_affiliates CHANGE password password varchar(64) default NULL;
ALTER TABLE phpads_affiliates CHANGE permissions permissions mediumint(9) default NULL;
ALTER TABLE phpads_affiliates CHANGE language language varchar(64) default NULL;

CREATE TABLE phpads_agency (
  agencyid mediumint(9) NOT NULL auto_increment,
  name varchar(255) NOT NULL default '',
  contact varchar(255) default NULL,
  email varchar(64) NOT NULL default '',
  username varchar(64) default NULL,
  password varchar(64) default NULL,
  permissions mediumint(9) default NULL,
  language varchar(64) default NULL,
  PRIMARY KEY  (agencyid)
);

ALTER TABLE phpads_banners CHANGE clientid campaignid mediumint(9) NOT NULL default '0';
ALTER TABLE phpads_banners CHANGE filename filename varchar(255) NOT NULL default '';
ALTER TABLE phpads_banners CHANGE imageurl imageurl varchar(255) NOT NULL default '';
ALTER TABLE phpads_banners CHANGE htmltemplate htmltemplate text NOT NULL;
ALTER TABLE phpads_banners CHANGE htmlcache htmlcache text NOT NULL;
ALTER TABLE phpads_banners CHANGE target target varchar(16) NOT NULL default '';
ALTER TABLE phpads_banners CHANGE url url text NOT NULL default '';
ALTER TABLE phpads_banners CHANGE alt alt varchar(255) NOT NULL default '';
ALTER TABLE phpads_banners CHANGE status status varchar(255) NOT NULL default '';
ALTER TABLE phpads_banners CHANGE keyword keyword varchar(255) NOT NULL default '';
ALTER TABLE phpads_banners CHANGE bannertext bannertext text NOT NULL;
ALTER TABLE phpads_banners CHANGE description description varchar(255) NOT NULL default '';
ALTER TABLE phpads_banners ADD adserver varchar(50) NOT NULL default '';
ALTER TABLE phpads_banners CHANGE compiledlimitation compiledlimitation text NOT NULL;
ALTER TABLE phpads_banners CHANGE append append text NOT NULL;
ALTER TABLE phpads_banners ADD alt_filename varchar(255) NOT NULL default '';
ALTER TABLE phpads_banners ADD alt_imageurl varchar(255) NOT NULL default '';
ALTER TABLE phpads_banners ADD alt_contenttype enum('gif','jpeg','png') NOT NULL default 'gif';
ALTER TABLE phpads_banners ADD KEY campaignid (campaignid);

ALTER TABLE phpads_cache CHANGE content content blob NOT NULL;

CREATE TABLE phpads_campaigns (
  campaignid mediumint(9) NOT NULL auto_increment,
  campaignname varchar(255) NOT NULL default '',
  clientid mediumint(9) NOT NULL default '0',
  views int(11) default '-1',
  clicks int(11) default '-1',
  conversions int(11) default '-1',
  expire date default '0000-00-00',
  activate date default '0000-00-00',
  active enum('t','f') NOT NULL default 't',
  priority enum('h','m','l') NOT NULL default 'l',
  weight tinyint(4) NOT NULL default '1',
  target int(11) NOT NULL default '0',
  optimise enum('t','f') NOT NULL default 'f',
  anonymous enum('t','f') NOT NULL default 'f',
  PRIMARY KEY  (campaignid)
);

INSERT INTO phpads_campaigns
SELECT
   clientid AS campaignid,
   clientname AS campaignname,
   parent AS clientid,
   views,
   clicks,
   '-1' AS conversions,
   expire,
   activate,
   active,
   'h' AS priority,
   weight,
   target,
   'f' AS optimise,
   'f' AS anonymous
FROM
   phpads_clients
WHERE
   parent > 0;
   
UPDATE phpads_campaigns SET priority='l' WHERE weight > 0 AND views = -1 AND clicks=-1 and conversions=-1;

CREATE TABLE phpads_campaigns_trackers (
  campaign_trackerid mediumint(9) NOT NULL auto_increment,
  campaignid mediumint(9) NOT NULL default '0',
  trackerid mediumint(9) NOT NULL default '0',
  logstats enum('y','n') NOT NULL default 'y',
  viewwindow mediumint(9) NOT NULL default '0',
  clickwindow mediumint(9) NOT NULL default '0',
  PRIMARY KEY  (campaign_trackerid),
  KEY campaignid (campaignid),
  KEY trackerid (trackerid)
);

DELETE FROM phpads_clients WHERE parent > 0;

ALTER TABLE phpads_clients ADD agencyid mediumint(9) NOT NULL default '0';
ALTER TABLE phpads_clients CHANGE clientname clientname varchar(255) NOT NULL default '';
ALTER TABLE phpads_clients CHANGE contact contact varchar(255) default NULL;
ALTER TABLE phpads_clients CHANGE email email varchar(64) NOT NULL default '';
ALTER TABLE phpads_clients CHANGE clientusername clientusername varchar(64) NOT NULL default '';
ALTER TABLE phpads_clients CHANGE clientpassword clientpassword varchar(64) NOT NULL default '';
ALTER TABLE phpads_clients CHANGE permissions permissions mediumint(9) default NULL;
ALTER TABLE phpads_clients CHANGE language language varchar(64) default NULL;
ALTER TABLE phpads_clients DROP active;
ALTER TABLE phpads_clients DROP weight;
ALTER TABLE phpads_clients DROP target;
ALTER TABLE phpads_clients DROP parent;

ALTER TABLE phpads_config DROP PRIMARY KEY;
ALTER TABLE phpads_config CHANGE configid agencyid mediumint(9) DEFAULT '0' NOT NULL;
ALTER TABLE phpads_config CHANGE my_header my_header varchar(255) default NULL;
ALTER TABLE phpads_config CHANGE my_footer my_footer varchar(255) default NULL;
ALTER TABLE phpads_config CHANGE language language varchar(32) default 'english';
ALTER TABLE phpads_config CHANGE name name varchar(32) default NULL;
ALTER TABLE phpads_config CHANGE override_gd_imageformat override_gd_imageformat varchar(4) default NULL;
ALTER TABLE phpads_config CHANGE begin_of_week begin_of_week tinyint(2) default '1';
ALTER TABLE phpads_config CHANGE percentage_decimals percentage_decimals tinyint(2) default '2';
ALTER TABLE phpads_config CHANGE type_sql_allow type_sql_allow enum('t','f') default 't';
ALTER TABLE phpads_config CHANGE type_url_allow type_url_allow enum('t','f') default 't';
ALTER TABLE phpads_config CHANGE type_web_allow type_web_allow enum('t','f') default 'f';
ALTER TABLE phpads_config CHANGE type_html_allow type_html_allow enum('t','f') default 't';
ALTER TABLE phpads_config CHANGE type_txt_allow type_txt_allow enum('t','f') default 't';
ALTER TABLE phpads_config CHANGE type_web_mode type_web_mode tinyint(2) default '0';
ALTER TABLE phpads_config CHANGE type_web_dir type_web_dir varchar(255) default NULL;
ALTER TABLE phpads_config CHANGE type_web_ftp type_web_ftp varchar(255) default NULL;
ALTER TABLE phpads_config CHANGE type_web_url type_web_url varchar(255) default NULL;
ALTER TABLE phpads_config CHANGE admin admin varchar(64) default 'phpadsuser';
ALTER TABLE phpads_config CHANGE admin_pw admin_pw varchar(64) default 'phpadspass';
ALTER TABLE phpads_config CHANGE admin_fullname admin_fullname varchar(255) default 'Your Name';
ALTER TABLE phpads_config CHANGE admin_email admin_email varchar(64) default 'your@email.com';
ALTER TABLE phpads_config ADD warn_admin enum('t','f') default 't';
ALTER TABLE phpads_config ADD warn_agency enum('t','f') default 't';
ALTER TABLE phpads_config ADD warn_client enum('t','f') default 't';
ALTER TABLE phpads_config ADD warn_limit mediumint(9) NOT NULL default '0';
ALTER TABLE phpads_config CHANGE admin_email_headers admin_email_headers varchar(64) default NULL;
ALTER TABLE phpads_config CHANGE admin_novice admin_novice enum('t','f') default 't';
ALTER TABLE phpads_config CHANGE default_banner_weight default_banner_weight tinyint(4) default '1';
ALTER TABLE phpads_config CHANGE default_campaign_weight default_campaign_weight tinyint(4) default '1';
ALTER TABLE phpads_config CHANGE client_welcome client_welcome enum('t','f') default 't';
ALTER TABLE phpads_config CHANGE client_welcome_msg client_welcome_msg text;
ALTER TABLE phpads_config CHANGE content_gzip_compression content_gzip_compression enum('t','f') default 'f';
ALTER TABLE phpads_config CHANGE userlog_email userlog_email enum('t','f') default 't';
ALTER TABLE phpads_config CHANGE userlog_priority userlog_priority enum('t','f') default 't';
ALTER TABLE phpads_config CHANGE userlog_autoclean userlog_autoclean enum('t','f') default 't';
ALTER TABLE phpads_config CHANGE gui_show_campaign_info gui_show_campaign_info enum('t','f') default 't';
ALTER TABLE phpads_config CHANGE gui_show_campaign_preview gui_show_campaign_preview enum('t','f') default 'f';
ALTER TABLE phpads_config CHANGE gui_show_banner_info gui_show_banner_info enum('t','f') default 't';
ALTER TABLE phpads_config CHANGE gui_show_banner_preview gui_show_banner_preview enum('t','f') default 't';
ALTER TABLE phpads_config CHANGE gui_show_banner_html gui_show_banner_html enum('t','f') default 'f';
ALTER TABLE phpads_config CHANGE gui_show_matching gui_show_matching enum('t','f') default 't';
ALTER TABLE phpads_config CHANGE gui_show_parents gui_show_parents enum('t','f') default 'f';
ALTER TABLE phpads_config CHANGE gui_hide_inactive gui_hide_inactive enum('t','f') default 'f';
ALTER TABLE phpads_config CHANGE gui_link_compact_limit gui_link_compact_limit tinyint(2) default '50';
ALTER TABLE phpads_config CHANGE qmail_patch qmail_patch enum('t','f') default 'f';
ALTER TABLE phpads_config CHANGE updates_frequency updates_frequency tinyint(2) default '7';
ALTER TABLE phpads_config CHANGE updates_timestamp updates_timestamp int(11) default '0';
ALTER TABLE phpads_config CHANGE updates_last_seen updates_last_seen decimal(7,3) default '0.000';
ALTER TABLE phpads_config CHANGE allow_invocation_plain allow_invocation_plain enum('t','f') default 'f';
ALTER TABLE phpads_config ADD allow_invocation_plain_nocookies enum('t','f') default 't';
ALTER TABLE phpads_config CHANGE allow_invocation_js allow_invocation_js enum('t','f') default 't';
ALTER TABLE phpads_config CHANGE allow_invocation_frame allow_invocation_frame enum('t','f') default 'f';
ALTER TABLE phpads_config CHANGE allow_invocation_xmlrpc allow_invocation_xmlrpc enum('t','f') default 'f';
ALTER TABLE phpads_config CHANGE allow_invocation_local allow_invocation_local enum('t','f') default 't';
ALTER TABLE phpads_config CHANGE allow_invocation_interstitial allow_invocation_interstitial enum('t','f') default 't';
ALTER TABLE phpads_config CHANGE allow_invocation_popup allow_invocation_popup enum('t','f') default 't';
ALTER TABLE phpads_config CHANGE auto_clean_tables auto_clean_tables enum('t','f') default 'f';
ALTER TABLE phpads_config CHANGE auto_clean_tables_interval auto_clean_tables_interval tinyint(2) default '5';
ALTER TABLE phpads_config CHANGE auto_clean_userlog auto_clean_userlog enum('t','f') default 'f';
ALTER TABLE phpads_config CHANGE auto_clean_userlog_interval auto_clean_userlog_interval tinyint(2) default '5';
ALTER TABLE phpads_config CHANGE auto_clean_tables_vacuum auto_clean_tables_vacuum enum('t','f') default 't';
ALTER TABLE phpads_config CHANGE autotarget_factor autotarget_factor float default '-1';
ALTER TABLE phpads_config CHANGE maintenance_timestamp maintenance_timestamp int(11) default '0';
ALTER TABLE phpads_config ADD compact_stats enum('t','f') default 't';
ALTER TABLE phpads_config ADD statslastday date NOT NULL default '0000-00-00';
ALTER TABLE phpads_config ADD statslasthour tinyint(4) NOT NULL default '0';
ALTER TABLE phpads_config ADD PRIMARY KEY (agencyid);

CREATE TABLE phpads_conversionlog (
  conversionlogid mediumint(9) NOT NULL auto_increment,
  conversionid bigint(20) unsigned NOT NULL default '0',
  campaignid mediumint(9) NOT NULL default '0',
  trackerid mediumint(9) NOT NULL default '0',
  userid varchar(32) NOT NULL default '',
  t_stamp timestamp(14) NOT NULL,
  host varchar(255) NOT NULL default '',
  country char(2) NOT NULL default '',
  cnv_logstats enum('y','n') default 'n',
  cnv_clickwindow mediumint(9) NOT NULL default '0',
  cnv_viewwindow mediumint(9) NOT NULL default '0',
  cnv_latest smallint(6) default NULL,
  action enum('view','click') default NULL,
  action_bannerid mediumint(9) NOT NULL default '0',
  action_zoneid mediumint(9) NOT NULL default '0',
  action_t_stamp timestamp(14) NOT NULL,
  action_host varchar(255) NOT NULL default '',
  action_source varchar(50) NOT NULL default '',
  action_country char(2) NOT NULL default '',
  PRIMARY KEY  (conversionlogid),
  KEY t_stamp (t_stamp)
);

ALTER TABLE phpads_images CHANGE filename filename varchar(128) NOT NULL default '';
ALTER TABLE phpads_images CHANGE t_stamp t_stamp timestamp(14) NOT NULL;

ALTER TABLE phpads_session CHANGE sessionid sessionid varchar(32) NOT NULL default '';
ALTER TABLE phpads_session CHANGE lastused lastused timestamp(14) NOT NULL;

ALTER TABLE phpads_targetstats DROP PRIMARY KEY;
ALTER TABLE phpads_targetstats CHANGE clientid campaignid mediumint(9) NOT NULL default '0';

CREATE TABLE phpads_trackers (
  trackerid mediumint(9) NOT NULL auto_increment,
  trackername varchar(255) NOT NULL default '',
  description varchar(255) NOT NULL default '',
  clientid mediumint(9) NOT NULL default '0',
  viewwindow mediumint(9) NOT NULL default '0',
  clickwindow mediumint(9) NOT NULL default '0',
  blockwindow mediumint(9) NOT NULL default '0',
  PRIMARY KEY  (trackerid)
);

ALTER TABLE phpads_userlog CHANGE details details text;

CREATE TABLE phpads_variables (
  variableid mediumint(9) unsigned NOT NULL auto_increment,
  trackerid varchar(32) NOT NULL default '',
  name varchar(250) NOT NULL default '',
  description varchar(250) default NULL,
  variabletype enum('js','qs') NOT NULL default 'js',
  datatype enum('int','string') NOT NULL default 'int',
  PRIMARY KEY  (variableid)
);

CREATE TABLE phpads_variablevalues (
  valueid bigint(20) unsigned NOT NULL auto_increment,
  t_stamp timestamp(14) NOT NULL,
  variableid mediumint(9) NOT NULL default '0',
  value varchar(50) default NULL,
  local_conversionid bigint(20) unsigned NOT NULL default '0',
  dbserver_ip varchar(16) NOT NULL default '',
  conversionid bigint(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (valueid),
  KEY local_conversionid (local_conversionid),
  KEY conversionid (conversionid)
);

ALTER TABLE phpads_zones CHANGE affiliateid affiliateid mediumint(9) default NULL;
ALTER TABLE phpads_zones CHANGE zonename zonename varchar(245) NOT NULL default '';
ALTER TABLE phpads_zones CHANGE description description varchar(255) NOT NULL default '';
